<?php

namespace Schaffen\ProductionOrder\ProductionOrder\Models;

use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Traits\Audit;

class ProductionOrderStatus extends Model
{
    //
    use Audit;

    protected $table = "ordem_producao.op_status";
    protected $fillable = [
        "ops_fk_op_codigo",
        "ops_fk_status"
    ];
    protected $primaryKey = "ops_codigo";

    const CREATED_AT = 'created_at';
    const CREATED_BY = 'created_by';
    const UPDATED_AT = 'updated_at';
    const UPDATED_BY = 'updated_by';

    public $timestamps = false;


    public function status() {
        return $this->hasOne(Status::class, 'st_codigo', 'ops_fk_status');
    }

}
